Bug 803234 - [ml_IN] - Classification issues in smc-fonts
[ml_IN] - Classification issues in smc-fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smc-fonts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 05:46 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: smc-fonts-5.0.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 803192
Environment:
Last Closed: 2012-04-24 00:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enhances Panose values of Meera, Raghumalayalam and Kalyani (1.41 KB, patch)
2012-04-13 05:41 EDT, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Ani Peter 2012-03-14 05:46:03 EDT
Description of problem:
Tested fonts-tweak-tool with following fonts:-
smc-anjalioldlip-fonts
smc-dyuthi-fonts
smc-kalyani-fonts
smc-meera-fonts 
smc-rachana-fonts 
smc-raghuMalayalam-fonts  
smc-suruma-fonts 

As per fc-match command smc-meera-fonts is sans font, but it was displayed under serif. smc-meera-fonts is the default font.

Version-Release number of selected component (if applicable):
fonts-tweak-tool-0.0.3-1.fc17.noarch
smc-meera-fonts-4.4-7.fc17

How reproducible:
Always

Actual result:
Meera should be listed under in serif.

Expected result:
Meera should be listed under in sans.
Comment 1 Pravin Satpute 2012-03-23 02:28:59 EDT
out of these how many are serif?
Comment 2 Ani Peter 2012-03-23 02:39:33 EDT
(In reply to comment #1)
> out of these how many are serif?

Pravin,

As far I know,
Anjali - Serif
Dyuthi - Serif
Suruma - Serif
Rachana - Serif

I have cc-ed to smc mailing list, so that this information can be cross checked.

Thanks
Ani
Comment 3 Pravin Satpute 2012-04-13 02:14:45 EDT
As no one replied, i will assume this is correct classification and will fix in font.
Comment 4 Santhosh Thottingal 2012-04-13 02:39:59 EDT
If fc-match returns correct result, what need to be fixed in Font? And iwhich font are yoiu going to fix?
Comment 5 Pravin Satpute 2012-04-13 04:15:03 EDT
This is not regarding Fontconfig, we do not have proper values in Panose section. 

fonts-tweak-tool uses panose value to determine type of fonts, i.e. serif, sans, monospace etc. 


see #803192
Comment 6 Fedora Update System 2012-04-13 05:34:27 EDT
smc-fonts-5.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smc-fonts-5.0.1-2.fc17
Comment 7 Pravin Satpute 2012-04-13 05:41:00 EDT
Created attachment 577283 [details]
enhances Panose values of Meera, Raghumalayalam and Kalyani

Panose information is given at http://www.panose.com/ProductsServices/pan2.aspx
Comment 8 Fedora Update System 2012-04-24 00:23:51 EDT
smc-fonts-5.0.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.